> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Country Code Allowlist (WhatsApp)

> SetAllowedWhatsAppCountryCodes sets the allowed WhatsApp country codes for an environment.



## OpenAPI

````yaml POST /pwa/v3/projects/:project_slug/environments/:environment_slug/allowed_country_codes/whatsapp
openapi: 3.0.3
info:
  title: Stytch API
  description: The Stytch API provides endpoints for authentication and user management.
  version: 1.0.0
  contact:
    name: Stytch Support
    url: https://stytch.com/docs
    email: support@stytch.com
servers:
  - url: https://management.stytch.com
    description: Production server
security:
  - basicAuth: []
paths:
  /pwa/v3/projects/:project_slug/environments/:environment_slug/allowed_country_codes/whatsapp:
    post:
      tags:
        - Country Code Allowlist
      summary: Setallowedwhatsappcountrycodes
      description: >-
        SetAllowedWhatsAppCountryCodes sets the allowed WhatsApp country codes
        for an environment.
      operationId: pwa_country_code_allowlist_v3_SetAllowedWhatsAppCountryCodes
      parameters:
        - name: project_slug
          in: path
          required: true
          schema:
            type: string
        - name: environment_slug
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/pwa_country_code_allowlist_v3_SetAllowedWhatsAppCountryCodesRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/pwa_country_code_allowlist_v3_SetAllowedWhatsAppCountryCodesResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status_code: 401
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: unauthorized_credentials
                error_message: Unauthorized credentials.
                error_url: https://stytch.com/docs/api/errors/401
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                status_code: 429
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: too_many_requests
                error_message: Too many requests have been made.
                error_url: https://stytch.com/docs/api/errors/429
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                status_code: 500
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: internal_server_error
                error_message: >-
                  Oops, something seems to have gone wrong, please reach out to
                  support@stytch.com to let us know what went wrong.
                error_url: https://stytch.com/docs/api/errors/500
components:
  schemas:
    pwa_country_code_allowlist_v3_SetAllowedWhatsAppCountryCodesRequest:
      type: object
      properties:
        country_codes:
          type: array
          items:
            type: string
      description: Request type
      required:
        - country_codes
    pwa_country_code_allowlist_v3_SetAllowedWhatsAppCountryCodesResponse:
      type: object
      properties:
        request_id:
          type: string
        country_codes:
          type: array
          items:
            type: string
        status_code:
          type: integer
          format: int32
      description: Response type
      required:
        - request_id
        - country_codes
        - status_code
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````